import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询载具操作明细列表
export function listReject(query) {
  return request({
    url: baseUrl + '/business/carrierReject/list',
    method: 'get',
    params: query
  })
}

// 查询载具操作明细
export function getReject(id) {
  return request({
    url: baseUrl + '/business/carrierReject/' + id,
    method: 'get'
  })
}

// 新增载具操作明细
export function addReject(data) {
  return request({
    url: baseUrl + '/business/carrierReject',
    method: 'post',
    data: data
  })
}

// 修改载具操作明细
export function updateReject(data) {
  return request({
    url: baseUrl + '/business/carrierReject',
    method: 'put',
    data: data
  })
}

// 删除载具操作明细
export function delReject(id) {
  return request({
    url: baseUrl + '/business/carrierReject/' + id,
    method: 'delete'
  })
}
